## cong-eel-graphic-effects

cong-eel-graphic-effects —

## Synopsis

    GdkPixbuf*  eel_create_spotlight_pixbuf     (GdkPixbuf *source_pixbuf);
    GdkPixbuf*  eel_create_darkened_pixbuf      (GdkPixbuf *source_pixbuf,
                                                 int saturation,
                                                 int darken);
    GdkPixbuf*  eel_create_colorized_pixbuf     (GdkPixbuf *source_pixbuf,
                                                 int red_value,
                                                 int green_value,
                                                 int blue_value);
    GdkPixbuf*  eel_stretch_frame_image         (GdkPixbuf *frame_image,
                                                 int left_offset,
                                                 int top_offset,
                                                 int right_offset,
                                                 int bottom_offset,
                                                 int dest_width,
                                                 int dest_height,
                                                 gboolean fill_flag);
    GdkPixbuf*  eel_embed_image_in_frame        (GdkPixbuf *source_image,
                                                 GdkPixbuf *frame_image,
                                                 int left_offset,
                                                 int top_offset,
                                                 int right_offset,
                                                 int bottom_offset);
    GdkPixbuf*  eel_make_semi_transparent       (GdkPixbuf *source_pixbuf);

## Description

## Details

### eel_create_spotlight_pixbuf ()

    GdkPixbuf*  eel_create_spotlight_pixbuf     (GdkPixbuf *source_pixbuf);

TODO: Write me

`source_pixbuf` : |
Returns : |

### eel_create_darkened_pixbuf ()

    GdkPixbuf*  eel_create_darkened_pixbuf      (GdkPixbuf *source_pixbuf,
                                                 int saturation,
                                                 int darken);

TODO: Write me

`source_pixbuf` : |
`saturation` : |
`darken` : |
Returns : |

### eel_create_colorized_pixbuf ()

    GdkPixbuf*  eel_create_colorized_pixbuf     (GdkPixbuf *source_pixbuf,
                                                 int red_value,
                                                 int green_value,
                                                 int blue_value);

TODO: Write me

`source_pixbuf` : |
`red_value` : |
`green_value` : |
`blue_value` : |
Returns : |

### eel_stretch_frame_image ()

    GdkPixbuf*  eel_stretch_frame_image         (GdkPixbuf *frame_image,
                                                 int left_offset,
                                                 int top_offset,
                                                 int right_offset,
                                                 int bottom_offset,
                                                 int dest_width,
                                                 int dest_height,
                                                 gboolean fill_flag);

TODO: Write me

`frame_image` : |
`left_offset` : |
`top_offset` : |
`right_offset` : |
`bottom_offset` : |
`dest_width` : |
`dest_height` : |
`fill_flag` : |
Returns : |

### eel_embed_image_in_frame ()

    GdkPixbuf*  eel_embed_image_in_frame        (GdkPixbuf *source_image,
                                                 GdkPixbuf *frame_image,
                                                 int left_offset,
                                                 int top_offset,
                                                 int right_offset,
                                                 int bottom_offset);

TODO: Write me

`source_image` : |
`frame_image` : |
`left_offset` : |
`top_offset` : |
`right_offset` : |
`bottom_offset` : |
Returns : |

### eel_make_semi_transparent ()

    GdkPixbuf*  eel_make_semi_transparent       (GdkPixbuf *source_pixbuf);

TODO: Write me

`source_pixbuf` : |
Returns : |